.search_wrap{
    width: fit-content;
    display: flex;
    align-items: center;   /* ⭐ 핵심 */
    border: 2px solid black;
    padding: 5px;
    border-radius: 5px;
    gap: 5px;              /* input과 버튼 사이 여백 */
}

.search_wrap input{
    border: none;
    height: 30px;
    outline: none;
    border-radius: 20px;
    flex: 1; 
    min-width: 0;
    padding-inline-start: 5%;
}
.search_wrap button{
    border: 1px solid black;
    background-color: #fff;
    width: 30px;
    height: 30px;
    min-width: 30px;
    min-height: 30px;
    padding: 0;
    cursor: pointer;
}
.search_wrap > button{
    border-radius: 5px;
    background-color: #00000000;
}
.search_wrap > button span{
    color: rgb(68, 49, 42);
}

.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}